# Class MsaBehaviourObserver<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- MsaBehaviourObserver

#### Implements

- StructureViewerBehaviourObserverInterface<R, L>

- Defined in src/RcsbFvStructure/StructureViewerBehaviour/MsaBehaviour.ts:33

#####
Index

### Constructors

constructor

### Properties

structureBehaviour
structureLoader

### Methods

observe
unsubscribe

## Constructors

### constructor

- new MsaBehaviourObserver<R, L>(structureLoader): MsaBehaviourObserver<R, L>

- #### Type Parameters

  - #### R

  - #### L

  #### Parameters

  - ##### structureLoader: MsaBehaviourType<R, L>

  #### Returns MsaBehaviourObserver<R, L>

  - Defined in src/RcsbFvStructure/StructureViewerBehaviour/MsaBehaviour.ts:38

## Properties

### `Private` structureBehaviour

structureBehaviour: StructureViewerBehaviourInterface

- Defined in src/RcsbFvStructure/StructureViewerBehaviour/MsaBehaviour.ts:35

### `Private` `Readonly` structureLoader

structureLoader: MsaBehaviourType<R, L>

- Defined in src/RcsbFvStructure/StructureViewerBehaviour/MsaBehaviour.ts:36

## Methods

### observe

- observe(structureViewer, stateManager): void

- #### Parameters

  - ##### structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R, L>

  - ##### stateManager: RcsbFvStateInterface

  #### Returns void

  Implementation of StructureViewerBehaviourObserverInterface.observe

  - Defined in src/RcsbFvStructure/StructureViewerBehaviour/MsaBehaviour.ts:41

### unsubscribe

- unsubscribe(): void

- #### Returns void

  Implementation of StructureViewerBehaviourObserverInterface.unsubscribe

  - Defined in src/RcsbFvStructure/StructureViewerBehaviour/MsaBehaviour.ts:48

Generated using TypeDoc